﻿@model IEnumerable<Sorceleur.Models.Sorceleuz>

@{
    ViewData["Title"] = "Index";
}

<div style="margin-left: auto;margin-right: auto;width:80%;padding:80px">
    <p>
        <a asp-action="Create" class="btn btn-info">Create New</a>
    </p>
    <table class="table table-hover table-dark">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.nom)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.prenom)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.avatar)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.raceSorceleur)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.nom)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.prenom)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.avatar)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.raceSorceleur)
                    </td>
                    <td>
                        <a class="text-warning" asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                        <a class="text-info" asp-action="Details" asp-route-id="@item.Id">Details</a> |
                        <a class="text-danger" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
